CommentImpl (Axis API)
Keywords: org.apache.axis.message.CommentImpl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.message
Class CommentImpl

    java.lang.Object
      org.apache.axis.message.NodeImpl
          org.apache.axis.message.Text
              org.apache.axis.message.CommentImpl

All Implemented Interfaces:
  org.w3c.dom.CharacterData, java.lang.Cloneable, org.w3c.dom.Comment, Node, org.w3c.dom.Node, java.io.Serializable, Text, org.w3c.dom.Text

public class CommentImpl
extends Text
implements Text, org.w3c.dom.Comment

Most of methods are inherited from TEXT, defined for its Interface Marker only

Author:
  Heejune Ahn (cityboy@tmax.co.kr)
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.axis.message.NodeImpl
`_isDirty, attributes, children, document, log, name, namespaceURI, parent, prefix, textRep`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`CommentImpl(java.lang.String text)`

Method Summary
`boolean` | `isComment()` Retrieves whether this `Text` object represents a comment.
`org.w3c.dom.Text` | `splitText(int offset)` Use the textRep, and convert it to org.apache.axis.Text in order to keep the Axis SOAP strcture after operation This work would be easier if constructor, Text(org.w3c.dom.Text) is defined

Methods inherited from class org.apache.axis.message.Text
`appendData, deleteData, equals, getData, getLength, getNodeValue, hashCode, insertData, replaceData, setData, setNodeValue, substringData, toString`

Methods inherited from class org.apache.axis.message.NodeImpl
`appendChild, cloneNode, convertAttrSAXtoDOM, detachNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getOwnerDocument, getParent, getParentElement, getParentNode, getPrefix, getPreviousSibling, getValue, hasAttributes, hasChildNodes, initializeChildren, insertBefore, isDirty, isSupported, makeAttributesEditable, normalize, output, recycleNode, removeChild, replaceChild, reset, setDirty, setDirty, setOwnerDocument, setParent, setParentElement, setPrefix, setValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.soap.Node
`detachNode, getParentElement, getValue, recycleNode, setParentElement, setValue`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.w3c.dom.CharacterData
`appendData, deleteData, getData, getLength, insertData, replaceData, setData, substringData`

Constructor Detail

### CommentImpl

    public CommentImpl(java.lang.String text)

Method Detail

### isComment

    public boolean isComment()

  Description copied from interface: `Text`
  Retrieves whether this `Text` object represents a comment.

  Specified by:
    `isComment` in interface `Text`
  Overrides:
    `isComment` in class `Text`
  Returns:
    `true` if this `Text` object is a comment; `false` otherwise

### splitText

    public org.w3c.dom.Text splitText(int offset)
                               throws org.w3c.dom.DOMException

  Description copied from class: `Text`
  Use the textRep, and convert it to org.apache.axis.Text in order to keep the Axis SOAP strcture after operation This work would be easier if constructor, Text(org.w3c.dom.Text) is defined

  Specified by:
    `splitText` in interface `org.w3c.dom.Text`
  Overrides:
    `splitText` in class `Text`
  Parameters:
    `offset` -
  Returns:
  Throws:
    `org.w3c.dom.DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.